// --------- HEADER BEGIN --------- //
.page-header{
    min-height: 100px;
    display: flex;
    align-items: center;
    .header-logo img{
        max-width: 130px;
    }
}
.header-menu{
    height: 100%;
    display: flex;
    align-items: center;
}
.header-menu--list{
    padding: 0;
    margin: 0;
    list-style-type: none;
    display: flex;
    .menu-item{
        position: relative;
        margin-right: 22px;
        height: 100px;
        display: flex;
        align-items: center;
        &:hover{
            .sub-menu{
                display: flex;
                .menu-link:before{
                    width: 0;
                }
            }
            .menu-link:before{
                width: 100%
            }
        }
    }
    .menu-link{
        text-transform: uppercase;
        text-decoration: none;
        @include mx-montserrat(#999999, 14px, 400);
        position: relative;
        &:before{
            position: absolute;
            content: '';
            bottom: -10px;
            left: 0;
            width: 0;
            height: 1px;
            background-color: $pink;
            transition: 0.3s ease-in-out;
        }
    }
    .sub-menu{
        position: absolute;
        top: calc(100% - 28px);
        left: 0;
        min-width: 172px;
        display: none;
        flex-direction: column;
        margin: 0;
        padding: 15px 15px 5px 20px;
        list-style-type: none;
        box-shadow: 0 0px 5px 0px #f3f3f3;
        background: #fff;
        z-index: 10;
        .menu-item{
            margin-bottom: 10px;
            height: auto;
            width: 100%;
        }
        .menu-link{
            transition: color 0.3s ease-in-out;
            &:hover:before{
                width: 0;
            }
            &:hover{
                color: $blue;
            }
        }
    }
}
.header-user-wrapper{
    display: flex;
    justify-content: flex-end;
    .user-login{
        min-height: 100px;
        display: flex;
        align-items: center;
        position: relative;
        .user-menu{
            padding: 0;
            margin: 0;
            list-style-type: none;
            position: absolute;
            top: calc(100% - 28px);
            left: 0;
            min-width: 164px;
            display: none;
            flex-direction: column;
            margin: 0;
            padding: 15px 15px 5px 20px;
            list-style-type: none;
            box-shadow: 0 0px 5px 0px #f3f3f3;
            background-color: #fff;
            z-index: 2;
            .menu-item{
                margin-bottom: 10px;
                height: auto;
                width: 100%;
            }
            .menu-link{
                text-transform: uppercase;
                text-decoration: none;
                @include mx-montserrat(#999999, 14px, 400);
                transition: color 0.3s ease-in-out;
                &:hover{
                    color: $blue;
                }
            }
        }
        &:hover{
            .user-menu{
                display: flex;
            }
            .header-login-btn:before{
                width: 100%
            }
            .icon-user{
                color: $blue;
            }
        }
    }
    .header-login-btn{
        text-transform: uppercase;
        text-decoration: none;
        @include mx-montserrat(#999999, 14px, 400);
        position: relative;
        min-width: 97px;
        text-align: right;
        padding-right: 34px;
        &:before{
            position: absolute;
            content: '';
            bottom: -10px;
            left: 0;
            width: 0;
            height: 1px;
            background-color: $pink;
            transition: 0.3s ease-in-out;
        }
        .icon-user{
            position: absolute;
            top: 50%;
            transform: translateY(-50%);
            right: 0;
            font-size: 24px;
            color: inherit;
            transition: color 0.3s ease-in-out;
        }
    }
}
.basked{
    text-decoration: none;
    align-items: center;
    display: flex;
    margin-left: 30px;
    &:hover{
        text-decoration: none;
        i{
            color: $blue;
        }
    }
    i{
        font-size: 24px;
        color: #999999;
        transition: color 0.3s ease-in-out;
    }
}

// --------- HEADER END --------- //

// --------- FOOTER BEGIN --------- //

.page-footer{
    .row_border{
        padding-bottom: 35px;
        position: relative;
        &:before{
            position: absolute;
            content: '';
            left: 50%;
            transform: translateX(-50%);
            bottom: 0;
            width: calc(100% - 30px);
            height: 1px;
            background-color: #5a5e5f;
        }
    }
    background-color: #383c3d;
    padding: 40px 0 35px;
    .footer-logo{
        .footer-logo-link{
            margin-bottom: 25px;
            display: block;
        }
        .footer-logo-link img{
            max-width: 130px;
        }
        .footer-soc-container{
            display: flex;
            align-items: center;
            justify-content: flex-start;
            .soc-link{
                margin-right: 10px;
                text-decoration: none;
                &:hover{
                    text-decoration: none;
                    &:before{
                        color: $pink;
                    }
                }
                &:before{
                    font-size: 24px;
                    color: #a3a7a8;
                    transition: color .3s ease-in-out;
                }
            }
        }
    }
    .footer-title{
        @include mx-montserrat(#fff, 16px, 900);
        text-transform: uppercase;
        display: block;
        margin-bottom: 4px;
    }
    .footen-nav{
        display: flex;
        flex-direction: column;
    }
    .footer-menu{
        display: flex;
        flex-direction: column;
        margin: 0;
        padding: 0;
        list-style-type: none;
        li a{
            @include mx-sans(#b5b9ba, 14px, 400);
            line-height: 28px;
        }
    }
    .footer-subscribe{
        display: flex;
        flex-direction: column;
        .form-subscribe{
            display: flex;
            width: 100%;
            margin-top: 9px;
            input{
                min-height: 40px;
                border: none;
                outline: none;
                background-color: #ecf0f1;
                border-radius: 2px 0 0 2px;
                padding: 0 10px;
                @include mx-sans(#282828, 14px, 400);
                &::placeholder{
                    @include mx-sans(#b5b9ba, 14px, 400);
                }
            }
            button{
                @include mx-montserrat(#fff, 14px, 900);
                min-height: 40px;
                min-width: 92px;
                border: none;
                outline: none;
                display: flex;
                align-items: center;
                justify-content: center;
                text-align: center;
                text-transform: uppercase;
                background-color: $green;
                padding: 0 15px;
                cursor: pointer;
                border-radius: 0 2px 2px 0;
                transition: background-color 0.3s ease-in-out;
                &:hover{
                    background-color: $green-hover;
                }
            }
        }
    }
    
    .rights-wrapper{
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-top: 35px;
        a{
            @include mx-sans(#b5b9ba, 14px, 400);
        }
        span{
            @include mx-sans(#b5b9ba, 14px, 400);
        }
    }
}
@media (min-width: 576px){
    .rights-wrapper.flex-end{
        justify-content: flex-end;
    }
}

// --------- FOOTER END --------- //


.parallax-viewport {
    background: rgb(47, 49, 52);
    margin: 1.5em 0px;
    overflow: hidden;
    position: relative;
    height: 300px
}
.parallax-layer {
    position: absolute;
}


// --------- DISCOUNT BEGIN --------- //
.discount{
    background: linear-gradient(to right, #1080cc, #31bae7);
}
.discount-wrapper{
    min-height: 60px;
    display: flex;
    align-items: center;
    .page-title{
        position: relative;
        left: 50%;
        transform: translateX(-50%);
    }
    .page-title h3{
        display: flex;
        justify-content: center;
        margin: 0;
        font-size: 24px;
        strong{
            margin-left: 25px;
            font-size: 24px;
        }
    }
    .more-deals{
        margin-left: auto;
        @include mx-montserrat(#fff, 14px, 600);
        text-transform: uppercase;
        text-decoration: underline;
        &:hover{
            text-decoration: none;
        }
    }
}
// --------- DISCOUNT END --------- //

.section-title{
    @include mx-montserrat(#999999, 30px, 100);
    margin-bottom: 25px;
    display: block;
    text-align: center;
    text-transform: uppercase;
}
.page-title{
    h1{
        @include mx-montserrat(#fff, 60px, 100);
        text-transform: uppercase;
        line-height: 54px;
        strong{
            display: block;
            font-size: 48px;
            font-weight: 900;
            position: relative;
            left: 5px;
        }
    }
    h3{
        @include mx-montserrat(#fff, 36px, 100);
        text-transform: uppercase;
        line-height: 36px;
        margin-bottom: 20px;
        strong{
            display: block;
            font-size: 30px;
            font-weight: 900;
            position: relative;
            left: 3px;
        }
    }
}

.link__blue{
    min-height: 50px;
    min-width: 200px;
    border-radius: 2px;
    background-color: #fff;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    text-transform: uppercase;
    outline: none;
    border: none;
    text-decoration: none;
    @include mx-montserrat($blue, 17px, 900);
    transition: color 0.3s ease-in-out;
    &:hover{
        text-decoration: none;
        color: $blue-hover;
    }
}
.link__pink{
    min-height: 50px;
    min-width: 200px;
    border-radius: 2px;
    background-color: #fff;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    text-transform: uppercase;
    outline: none;
    border: none;
    text-decoration: none;
    @include mx-montserrat($pink, 17px, 900);
    transition: color 0.3s ease-in-out;
    &:hover{
        text-decoration: none;
        color: $pink-hover;
    }
}
.link__green{
    min-height: 50px;
    min-width: 160px;
    border-radius: 2px;
    background-color: #fff;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    text-transform: uppercase;
    outline: none;
    border: none;
    text-decoration: none;
    background-color: $green;
    @include mx-montserrat(#fff, 17px, 900);
    transition: background-color 0.3s ease-in-out;
    &:hover{
        text-decoration: none;
        background-color: $green-hover;
        color: #fff;
    }
}

@media (min-width: 992px) and (max-width: 1260px){
    .header-menu{
        justify-content: center;
    }
    .footer-subscribe{
        margin-top: 25px;
        .form-subscribe{
            width: auto;
        }
    }
}
@media (max-width: 991px){
    .footer-subscribe{
        margin-top: 25px;
        .form-subscribe{
            width: auto;
        }
    }
    .header-logo-mobile{
        display: flex;
        align-items: center;
        a{
            display: block;
            width: 110px;
            margin-left: 20px;
        }
    }
    .page-header{
        position: relative;
    }
    .mobile-menu-wrap{
		display: none;
		position: absolute;
		background-color: #f5f5f5;
		width: 100%;
		left: 0;
        z-index: 6;
        top: 100%;
        left: 0;
	}
    .menu-burger{
		padding: 10px 0;
	}
	.menu-global{
		width: 30px;
		height: 4px;
		background-color: #000;
		display: block;
		position: relative;
		transition: ease 0.3s;
	}
	.menu-middle{
		margin: 5px 0;
		left: 0;
		opacity: 1;
	}
	.menu-burger.active{
		.menu-top{
			transform: rotate(45deg);
			top: 9px;
		}
		.menu-middle{
			margin: 5px 0;
			left: -100px;
			opacity: 0;
		}
		.menu-bottom{
			transform: rotate(-225deg);
			bottom: 9px;
		}
	}
}
@media (min-width: 576px) and (max-width: 767px){
    .footer-logo{
        margin-bottom: 25px;
    }
}
@media (max-width: 575px){
    .footer-logo{
        margin-bottom: 25px;
    }
    .header-menu--list{
        flex-direction: column;
        .menu-item{
            height: 50px;
        }
    }
    .page-footer .rights-wrapper{
        margin-top: 15px;
    }
}